Skip to main content
GET
/
products
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.products.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "status": "draft",
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "body_html": "<string>",
      "button_cta": "<string>",
      "url": "<string>",
      "available_from": "2023-11-07T05:31:56Z",
      "available_until": "2023-11-07T05:31:56Z",
      "published_at": "2023-11-07T05:31:56Z",
      "reviews_count": 123,
      "average_rating": 123,
      "media_gallery": [
        {
          "id": "<string>",
          "type": "<string>",
          "url": "<string>"
        }
      ],
      "price_variants": [
        {
          "id": "<string>",
          "object": "<string>",
          "name": "<string>",
          "amount": 123,
          "amount_type": "free",
          "billing_type": "subscription",
          "recurring_interval": "day",
          "interval_count": 123,
          "installment_count": 123,
          "setup_fee_amount": 123,
          "trial_period_days": 123,
          "revoke_after_days": 123,
          "quantity_available": 123,
          "archived": true,
          "position": 123,
          "hidden": true,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "currency": "<string>",
          "discounted_from_amount": 123,
          "minimum_amount": 123,
          "maximum_amount": 123,
          "preset_amount": 123,
          "waitlist": true,
          "purchase_url": "<string>",
          "product": "<string>",
          "benefits": [
            "<string>"
          ]
        }
      ],
      "seo": "<string>",
      "reviews": [
        {
          "id": "<string>",
          "object": "<string>",
          "rating": 123,
          "customer_name": "<string>",
          "content": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "customer_image_url": "<string>"
        }
      ]
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

status
enum<string>

Filter by product status

Available options:
draft,
active,
archived
query
string

Search by product name

expand
string

Comma-separated relations to expand: reviews

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of products

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required